Upstream information

CVE-2017-9269 at MITRE

Description

In libzypp before August 2018 GPG keys attached to YUM repositories were not correctly pinned, allowing malicious repository mirrors to silently downgrade to unsigned repositories with potential malicious content.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 7.7
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:L
Access Vector Network Network
Access Complexity Low High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High Low
SUSE Bugzilla entries: 1038984 [RESOLVED], 1045735 [REOPENED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • libzypp >= 16.15.2-27.21.1
  • zypper >= 1.13.30-18.13.3
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2017-1252
SUSE CaaS Platform ALL
  • caasp-container-manifests >= 0.0.0+git_r155_93e40ab-2.3.3
  • container-feeder >= 0.0.0+20170901.git_r55_17ecbd3-2.3.3
  • sles12-mariadb-docker-image >= 1.1.0-2.3.10
  • sles12-pause-docker-image >= 1.1.0-2.3.11
  • sles12-pv-recycler-node-docker-image >= 1.1.0-2.3.10
  • sles12-salt-api-docker-image >= 1.1.0-2.3.9
  • sles12-salt-master-docker-image >= 1.1.0-4.3.10
  • sles12-salt-minion-docker-image >= 1.1.0-2.3.8
  • sles12-velum-docker-image >= 1.1.0-4.3.9
Patchnames:
SUSE-CAASP-ALL-2017-1531
SUSE Linux Enterprise Desktop 12 SP2
  • libzypp >= 16.15.2-27.21.1
  • zypper >= 1.13.30-18.13.3
  • zypper-log >= 1.13.30-18.13.3
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1252
SUSE Linux Enterprise Desktop 12 SP3
  • libzypp >= 16.15.3-2.3.1
  • yast2-pkg-bindings >= 3.2.4-2.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2017-1390
SUSE Linux Enterprise Module for Basesystem 15
  • libzypp >= 17.3.1-1.24
  • libzypp-devel >= 17.3.1-1.24
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libzypp
SUSE Linux Enterprise Module for Containers 12
  • sles12sp2-docker-image >= 1.0.2-20171006
Patchnames:
SUSE-SLE-Module-Containers-12-2017-1674
SUSE Linux Enterprise Server 12 SP2
  • libzypp >= 16.15.2-27.21.1
  • zypper >= 1.13.30-18.13.3
  • zypper-log >= 1.13.30-18.13.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1252
SUSE Linux Enterprise Server 12 SP3
  • libzypp >= 16.15.3-2.3.1
  • yast2-pkg-bindings >= 3.2.4-2.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1390
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libzypp >= 16.15.2-27.21.1
  • zypper >= 1.13.30-18.13.3
  • zypper-log >= 1.13.30-18.13.3
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1252
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libzypp >= 16.15.2-27.21.1
  • zypper >= 1.13.30-18.13.3
  • zypper-log >= 1.13.30-18.13.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1252
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libzypp >= 16.15.3-2.3.1
  • yast2-pkg-bindings >= 3.2.4-2.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1390
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libzypp >= 16.15.2-27.21.1
  • libzypp-devel >= 16.15.2-27.21.1
  • libzypp-devel-doc >= 16.15.2-27.21.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1252
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libzypp >= 16.15.3-2.3.1
  • libzypp-devel >= 16.15.3-2.3.1
  • libzypp-devel-doc >= 16.15.3-2.3.1
  • yast2-pkg-bindings-devel-doc >= 3.2.4-2.3.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2017-1390
openSUSE Leap 15.0
  • libzypp >= 17.3.1-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA libzypp
openSUSE Leap 42.2
  • libzypp >= 16.15.2-5.9.1
  • libzypp-debuginfo >= 16.15.2-5.9.1
  • libzypp-debugsource >= 16.15.2-5.9.1
  • libzypp-devel >= 16.15.2-5.9.1
  • libzypp-devel-doc >= 16.15.2-5.9.1
  • zypper >= 1.13.30-5.9.1
  • zypper-aptitude >= 1.13.30-5.9.1
  • zypper-debuginfo >= 1.13.30-5.9.1
  • zypper-debugsource >= 1.13.30-5.9.1
  • zypper-log >= 1.13.30-5.9.1
Patchnames:
openSUSE-2017-893
openSUSE Leap 42.3
  • libzypp >= 16.15.3-9.1
  • libzypp-debuginfo >= 16.15.3-9.1
  • libzypp-debugsource >= 16.15.3-9.1
  • libzypp-devel >= 16.15.3-9.1
  • libzypp-devel-doc >= 16.15.3-9.1
  • yast2-pkg-bindings >= 3.2.4-4.1
  • yast2-pkg-bindings-debuginfo >= 3.2.4-4.1
  • yast2-pkg-bindings-debugsource >= 3.2.4-4.1
  • yast2-pkg-bindings-devel-doc >= 3.2.4-4.1
Patchnames:
openSUSE-2017-989


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 libzypp Released
CaaS Platform 2.0 libzypp Released
OpenStack Cloud Magnum Orchestration 7.0 libzypp Released
SUSE Linux Enterprise Desktop 12 SP2 libzypp Released
SUSE Linux Enterprise Desktop 12 SP3 libzypp Released
SUSE Linux Enterprise SDK 11 SP4 libzypp Ignore
SUSE Linux Enterprise SDK 12 SP2 libzypp Released
SUSE Linux Enterprise SDK 12 SP3 libzypp Released
SUSE Linux Enterprise Server 11 SP3 LTSS libzypp Ignore
SUSE Linux Enterprise Server 11 SP4 libzypp Ignore
SUSE Linux Enterprise Server 12 GA LTSS libzypp Affected
SUSE Linux Enterprise Server 12 SP1 LTSS libzypp Affected
SUSE Linux Enterprise Server 12 SP2 libzypp Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI libzypp Released
SUSE Linux Enterprise Server 12 SP3 libzypp Released